Uploaded image for project: 'HBase'
  1. HBase
  2. HBASE-11418

build target "site" doesn't respect hadoop-two.version property

    XMLWordPrintableJSON

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: 0.98.3
    • Fix Version/s: 0.99.0, 0.98.4
    • Component/s: build
    • Labels:
      None

      Description

      Running build with mvn clean site -Dhadoop-two.version=2.3.0 I see that it pulls in Hadoop 2.2.0 dependencies (when building 0.98.x); and Hadoop 2.3.0 on the master. The reason of the behavior is the bug in configuration of userapi reportset, namely:

                    <docletArtifact>
                      <groupId>org.apache.hadoop</groupId>
                      <!-- doclet lives in hadoop 2's hadoop-common module -->
                      <artifactId>hadoop-common</artifactId>
                      <version>2.3.0</version>
                    </docletArtifact>
      

      (the snipped is from the master branch)

        Attachments

        1. HBASE-11418.patch
          0.4 kB
          Konstantin I Boudnik
        2. HBASE-11418.0.98.patch
          0.4 kB
          Konstantin I Boudnik

          Activity

            People

            • Assignee:
              cos Konstantin I Boudnik
              Reporter:
              cos Konstantin I Boudnik
            • Votes:
              0 Vote for this issue
              Watchers:
              5 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: